local Sorcerer = foundation.createMod();

_SorcererPrefix = "SORCERER_V4"

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.7") < 0) then
    Sorcerer:msgBox("Sorcerer: game version anterior to 1.7")
    return
end
Sorcerer:msgBox("Sorcerer: game version" .. foundation.getGameVersion())

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
Sorcerer:dofile("scripts/common.lua")

_NoSandbox = difficultyLevel(Sorcerer, "Sorcerer")

-- Apply building asset processor
Sorcerer:registerAssetProcessor("models/sorcerer.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Sorcerer:registerAssetProcessor("models/sorcerer2.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
-- Particle system
Sorcerer:dofile("scripts/particle_system.lua")
Sorcerer:dofile("scripts/bat.lua")
-- Jobs
Sorcerer:dofile("scripts/jobs.lua")
-- Buildings
Sorcerer:dofile("scripts/monument.lua")
