local Sorcerer = ...

Sorcerer:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        _SorcererPrefix
    }
})

Sorcerer:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        _SorcererPrefix
    }
})

Sorcerer:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        _SorcererPrefix
    }
})

Sorcerer:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        _SorcererPrefix
    }
})

-- Register hats prefab nodes
Sorcerer:registerAssetId("models/sorcerer.fbx/Prefab/chapeauPointu", _SorcererPrefix .. "_CHAPEAU_POINTU_PREFAB")
Sorcerer:registerAssetId("models/balai.fbx/Prefab/balai", _SorcererPrefix .. "_BALAI_PREFAB")

-- Register sorcerer job
Sorcerer:register({
	DataType = "JOB",
	Id = _SorcererPrefix,
	JobName = _SorcererPrefix .. "_NAME",
	JobDescription = _SorcererPrefix .. "_DESC",
        CharacterSetup = {
            RightHandObject = {
                Model =  _SorcererPrefix .. "_BALAI_PREFAB"
            },
            MaleHatList = { _SorcererPrefix .. "_CHAPEAU_POINTU_PREFAB" },
            FemaleHatList = { _SorcererPrefix .. "_CHAPEAU_POINTU_PREFAB" }
        },
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})
